#
# spec file for package kfilter (Version 0.6beta)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam freetype2 gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft openssl openssl-devel qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2
Name:         kfilter
Copyright:    GPL
Group:        X11/KDE/Applications
Summary:      filter calculation loudspeakers
Version:      0.6beta
Release:      109
Source0:      kfilter-0.6beta.tar.bz2
Patch0: kfilter-0.6beta.dif

%description
If you've never built a loudspeaker before: This tool allows you to
calculate the frequency separating filter as well as several cover
types. (e.g. the electromechanical properties of the loudspeakers
chassis.)
Only the home-made loudspeakers are good loudspeakers ;-)

Authors:
--------
    Martin Erdtmann <martin.erdtmann@gmx.de>

SuSE series: kde

%prep
%setup -n kfilter-0.6beta
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config  -f }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc AUTHORS INSTALL COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/apps/kfilter
%dir /opt/kde2/share/apps/kfilter/pics
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32/apps
/opt/kde2/bin/kfilter
/opt/kde2/share/applnk/Applications/kfilter.desktop
/opt/kde2/share/apps/kfilter/kfilterui.rc
/opt/kde2/share/apps/kfilter/pics/driver.xpm
/opt/kde2/share/apps/kfilter/pics/driverparam.xpm
/opt/kde2/share/apps/kfilter/pics/filterwiz.xpm
/opt/kde2/share/apps/kfilter/pics/mini-network.xpm
/opt/kde2/share/apps/kfilter/pics/mini-volume.xpm
/opt/kde2/share/apps/kfilter/pics/net.xpm
/opt/kde2/share/apps/kfilter/pics/net2.xpm
/opt/kde2/share/apps/kfilter/pics/net3.xpm
/opt/kde2/share/apps/kfilter/pics/step1.xpm
/opt/kde2/share/apps/kfilter/pics/step2.xpm
/opt/kde2/share/apps/kfilter/pics/step3.xpm
/opt/kde2/share/apps/kfilter/pics/tux.gif
/opt/kde2/share/apps/kfilter/pics/volume0.xpm
/opt/kde2/share/apps/kfilter/pics/volume1.xpm
/opt/kde2/share/apps/kfilter/pics/volume2.xpm
/opt/kde2/share/apps/kfilter/pics/volume3.xpm
/opt/kde2/share/apps/kfilter/pics/wizard4.gif
/opt/kde2/share/icons/locolor/16x16/apps/fill.png
/opt/kde2/share/icons/locolor/16x16/apps/kfilter.png
/opt/kde2/share/icons/locolor/32x32/apps/kfilter.png
/opt/kde2/share/mimelnk/application/x-kfilter.desktop

%changelog -n kfilter
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Mon Jul 30 2001 - adrian@suse.de
- update to 0.6 beta (KDE 2 version)
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Wed Jan 03 2001 - adrian@suse.de
- update to 0.4.0
* Mon Nov 13 2000 - adrian@suse.de
- update to 0.3.3
* Wed Aug 23 2000 - adrian@suse.de
- Spec file created from kfilter-0.3.tar.gz by autospec
